open Lwt
open Json_type

module Couch = Couch.Monadic

let print_endline = Lwt_io.printl

let server = "http://localhost:5984/"
let db = "coucho_test"

let _ =
  ignore_result begin
    Couch.version server >>= (fun v ->
    match v with
      | None -> print_endline "Can't connect to server"
      | Some v -> print_endline  v) >>= (fun () ->
    Couch.create server db) >>= (fun b ->
    if b then
      print_endline "Database coucho_test created"
    else
      print_endline "Can't create database coucho_test") >>= (fun () ->
    Couch.insert server db (
      Object [ "name", String "toto"; ])) >>= (fun (id, rev) ->
    print_endline (id^" "^rev)) >>= (fun () ->
    Couch.delete server db) >>= (fun b ->
    if b then
      print_endline "Database coucho_test deleted"
    else
      print_endline "Can't delete database coucho_test")
  end


